{% extends "recipes/base.html" %}

{% block bodyclass %}recipe-page{% endblock %}

{% block title %}
{{ recipe.title }} |
{% endblock %}

{% block body %}
<div class="recipe-header">
  <div class="recipe-header-bg-outer">
    <div class="recipe-header-bg" style="background-image: url(/media/{{ recipe.image }})"></div>
  </div>
  <div class="container">
    <div class="title-bar">
      <div class="thumbnail" style="background-image: url(/media/{{ recipe.image }})"></div>
      <h1>
        {{ recipe.title }}
        {% if user.is_authenticated %}
        {% if recipe.user == user %}
        <a class="btn btn-primary" href="{% url 'edit_recipe' recipe.pk %}"><i class="fa fa-pencil" aria-hidden="true"></i> Edit recipe</a>
        {% else %}
        {% if fav %}
        <a class="btn btn-danger" href="{% url 'remove_from_favorites' recipe.pk %}"><i class="fa fa-heart" aria-hidden="true"></i> Remove from favorites</a>
        {% else %}
        <a class="btn btn-primary" href="{% url 'add_to_favorites' recipe.pk %}"><i class="fa fa-heart" aria-hidden="true"></i> Add to favorites</a>
        {% endif %}
        {% endif %}
        {% endif %}
      </h1>
    </div>
  </div>
</div>
<div class="container">
  <div class="recipe-body row">
    <div class="col-lg-4 order-lg-2 recipe-info">
      <div class="social row justify-content-between">
        <div class="veg-container">
          {% if nutritions.veg == 'V' %}
            Vegan
          {% elif nutritions.veg == 'O' %}
            Ovo-vegetarian
          {% elif nutritions.veg == 'L' %}
            Lacto-vegetarian
          {% elif nutritions.veg == 'OL' %}
            Ovo-lacto vegetarian
          {% else %}
          {% endif %}
        </div>
        <div class="likes-cont"><i class="fa fa-heart fa-1" aria-hidden="true"></i> {{ likes }}</div>
      </div>
      <ul>
        <li class="ri-difficulty"><label>Difficulty:</label><span class="dif difficulty-{{ recipe.difficulty }}"><div></div><div></div><div></div></span></li>
        <li class="ri-prep"><label>Preparation:</label><span>{{ recipe.prep_time }} mins</span></li>
        <li class="ri-cook"><label>Cooking time:</label><span>{{ recipe.cooking_time }} mins</span></li>
        <li class="ri-serves"><label>Serves:</label><span>{{ recipe.serves }}</span></li>
      </ul>
      <div class="row justify-content-between align-items-center ing-header">
        <h4>Ingredients</h4>
        <div class="unit-switch">
          <label for="unit-switch">
            <span>Metric</span>
            <div class="sw-outer">
              <input type="checkbox" id="unit-switch" />
              <div class="sw-inner"></div>
            </div>
            <span>Imperial</span>
          </label>
        </div>
      </div>
      <ul class="ingredients">
        {% for ing in ingredients %}
        <li><input type="checkbox" id="ing-{{forloop.counter}}" /><label for="ing-{{forloop.counter}}">
          <div class="amnt met">{% if ing.unit_met != 'to taste' %}{{ ing.amount_met|floatformat }} {{ ing.unit_met }}{% endif %}</div><div class="amnt imp">{{ ing.amount_imp|floatformat }} {{ ing.unit_imp }}</div> <div class="cname">{{ ing.cname }}{% if ing.unit_met == "to taste" %} to taste {% endif %}<small>{{ ing.notes }}</small></div></label>
        </li>
        {% endfor %}
      </ul>
      <h4 class="col-12">Nutritions per serving</h4>
      <ul class="container">
        <li class="ri-calories energy-density-{{nutritions.energy_density}}"><label>Calories:</label><span title="{{ nutritions.ed_desc }}">{{ nutritions.cals }} kcal</span></li>
        {% if user.is_authenticated %}{% if nutritions.dcp > -1 %}
        <li><small class="text-right col-12">{{ nutritions.dcp|floatformat:0 }}% of your daily target calorie intake.</small></li>
        {% endif %}{% endif %}
        <li class="ri-protein"><label>Protein:</label><span>{{ nutritions.protein|floatformat }} g</span></li>
        <li class="ri-fat"><label>Fat:</label><span>{{ nutritions.fat|floatformat }} g</span></li>
        <li class="ri-carbs"><label>Carbohydrate:</label><span>{{ nutritions.carbs|floatformat }} g</span></li>
        <li class="ri-fiber"><label>Dietry fiber:</label><span>{{ nutritions.fiber|floatformat }} g</span></li>
        <li class="ri-sodium sodium-{{nutritions.sodium_level}}"><label>Sodium:</label><span title="{{nutritions.sd_desc}}">{{ nutritions.sodium }} mg</span></li>
      </ul>
    </div>

    <div class="col-lg-8 order-lg-1">
      <div class="intro">
        {{ recipe.intro }}
      </div>
      <div class="steps">
        <h2>Instructions:</h2>
        <ol>
          {% for step in steps %}
          <li><input type="checkbox" id="step-{{step.step_order}}" /><label for="step-{{step.step_order}}">{{ step.step_text }}</label></li>
          {% endfor %}
        </ol>
      </div>
      {% if recipe.notes %}
      <div class="notes">
        <strong>Notes:</strong> {{ recipe.notes }}
      </div>
      {% endif %}
    </div>
  </div>
</div>
{% endblock %}
